/**
 * ActMoodGoal2.java
 *
 * File generated from the medication2::ActMoodGoal2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActMoodGoal2.
 *
 */

@XmlType(name = "ActMoodGoal")
@XmlEnum
@XmlRootElement(name = "ActMoodGoal2")
public enum ActMoodGoal2 {
	@XmlEnumValue("GOL")
	GOL("GOL");
	
	private final String value;

    ActMoodGoal2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActMoodGoal2 fromValue(String v) {
        for (ActMoodGoal2 c: ActMoodGoal2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
